#!/usr/bin/wish -f
#
# TkAWEMidi -- Tcl/Tk Interface for AWE MIDI player
# Copyright (c) 1996,1997  Takashi Iwai
#

# system path and configuration file path
set TclRoot /usr/lib/awe
set bitmap_path $TclRoot/BITMAPS
set ConfigFile "~/.tkawe"

# append library path
lappend auto_path $TclRoot

#
# window fonts
#

option add *menu*font "-adobe-helvetica-bold-r-normal--12-*"
option add *body.curfile*font "-adobe-helvetica-bold-o-normal--14-*"
option add *body.file*font "-adobe-helvetica-medium-r-normal--14-*"
option add *body*label.font "-adobe-times-bold-i-normal--17-*"
option add *body*Scale.font "-adobe-times-medium-i-normal--14-*"
option add *body.text*font "-adobe-helvetica-medium-r-normal--14-*"

#
# main routine
#

InitGlobal
LoadConfig
InitCmdLine

CreateWindow
AppendMsg "AWE MIDI Tcl/Tk Version\n  written by Takashi Iwai\n"

init-random [pid]

StartPlayer

fileevent $Stat(input) readable HandleInput
if {$Stat(Tracing)} {
    TraceReset
}

if {$Config(AutoStart)} { PlayCmd }
tkwait window .

ExitAll

# end of file
